<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qbs.qdoc -->
  <title>Using the Shell | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td><td >Using the Shell</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="platforms.html" />
  <link rel="next" href="generators.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="platforms.html">Target Platforms</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="generators.html">Generators</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Using the Shell</h1>
<span class="subtitle"></span>
<!-- $$$shell.html-description -->
<div class="descr"> <a name="details"></a>
<p>To use the Qbs shell, enter the following command:</p>
<pre class="cpp">

  qbs shell

</pre>
<p>This is mainly a debugging tool. It opens a shell with the same environment that Qbs uses when building the project, so you can, for example, inspect which environment variables will be set up.</p>
</div>
<!-- @@@shell.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="platforms.html">Target Platforms</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="generators.html">Generators</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
